From oracle-l-bounce@freelists.org  Fri Dec  3 14:27:29 2004
Return-Path: <oracle-l-bounce@freelists.org>
Received: from air189.startdedicated.com (root@localhost)
 by orafaq.com (8.11.6/8.11.6) with ESMTP id iB3KRTY16304
 for <oracle-l@orafaq.com>; Fri, 3 Dec 2004 14:27:29 -0600
X-ClientAddr: 206.53.239.180
Received: from turing.freelists.org (freelists-180.iquest.net [206.53.239.180])
 by air189.startdedicated.com (8.11.6/8.11.6) with ESMTP id iB3KRTd16299
 for <oracle-l@orafaq.com>; Fri, 3 Dec 2004 14:27:29 -0600
Received: from localhost (localhost [127.0.0.1])
 by turing.freelists.org (Avenir Technologies Mail Multiplex) with ESMTP id C3E1F72C1A9;
 Fri,  3 Dec 2004 15:33:51 -0500 (EST)
Received: from turing.freelists.org ([127.0.0.1])
 by localhost (turing [127.0.0.1]) (amavisd-new, port 10024) with ESMTP
 id 26522-47; Fri,  3 Dec 2004 15:33:51 -0500 (EST)
Received: from turing (localhost [127.0.0.1])
 by turing.freelists.org (Avenir Technologies Mail Multiplex) with ESMTP id 1897F72C6A2;
 Fri,  3 Dec 2004 15:32:41 -0500 (EST)
From: "Lex de Haan" <lex.de.haan@naturaljoin.nl>
To: "'Henry Poras'" <henry@itasoftware.com>, <jhn.aida@cbs.dk>,
   <geraldine_2@comcast.net>
Cc: <oracle-l@freelists.org>
Subject: RE: SQL question
Date: Fri, 3 Dec 2004 21:29:34 +0100
MIME-Version: 1.0
Content-type: text/plain
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.2180
Thread-Index: AcTZctLWBrAqcX05TZWnrFK2D+eExwAApFow
In-Reply-To: <022501c4d973$48adc270$3800040a@itasoftware.com>
Message-Id: <20041203202948.8B2513C9565@ha-smtp3.tiscali.nl>
Content-Transfer-Encoding: 8bit
X-archive-position: 13106
X-ecartis-version: Ecartis v1.0.0
Sender: oracle-l-bounce@freelists.org
Errors-To: oracle-l-bounce@freelists.org
X-original-sender: lex.de.haan@naturaljoin.nl
Precedence: normal
Reply-To: lex.de.haan@naturaljoin.nl
X-list: oracle-l
X-Virus-Scanned: by amavisd-new at freelists.org

That's an interesting thought.
Now, the next question becomes: have these lines (pipes, ...) a direction?
A vector from point A to point B is not the same as a vector from point B to
point A...
But if (as apparently in this case) A and B can freely be swapped, because
there is no direction involved,
I guess it makes sense to define some ordering in the column values and
always put the smaller value in A and the larger one in B -- just like we do
in mathematics, and in time interval notations. We never talk about the
interval [42,13] but always about [13,42]. This translates into a relatively
easy row-level constraint: A less than or equal to B.

Obviously, for this to work you need "some ordering" in the column
population.

Cheers,
 
Lex.
 
----------------------------------------------------------------
Tom Kyte Seminar: http://www.naturaljoin.nl/events/seminars.html
----------------------------------------------------------------
 

-----Original Message-----
From: Henry Poras [mailto:henry@itasoftware.com] 
Sent: Friday, December 03, 2004 21:04
To: lex.de.haan@naturaljoin.nl; jhn.aida@cbs.dk; geraldine_2@comcast.net
Cc: oracle-l@freelists.org
Subject: RE: SQL question

How about a line (pipe, HV, ...) with endpoints a and b?

Henry

-----Original Message-----
From: oracle-l-bounce@freelists.org [mailto:oracle-l-bounce@freelists.org]
On Behalf Of Lex de Haan
Sent: Friday, December 03, 2004 12:58 PM
To: jhn.aida@cbs.dk; geraldine_2@comcast.net
Cc: oracle-l@freelists.org
Subject: RE: SQL question


Hah -- comments ... Thanks for challenging me, Jesper :-) Well, my first
thought (when I saw this question) was: what are these columns A and B
supposed to mean in real world, to make this type of questions "reasonable"
in the first place? In other words, aren't we looking at a design mistake
here? How can you have two columns that apparently have precisely the same
meaning?

And another question: what is the primary key of this table?

Relational, relational, ... Isn't a table just like a spreadsheet, with rows
and columns? :-)

Undskyld, undskyld,

Lex.
 
----------------------------------------------------------------
Tom Kyte Seminar: http://www.naturaljoin.nl/events/seminars.html
----------------------------------------------------------------
 

-----Original Message-----
From: oracle-l-bounce@freelists.org [mailto:oracle-l-bounce@freelists.org]
On Behalf Of Jesper Haure Norrevang
Sent: Friday, December 03, 2004 18:07
To: geraldine_2@comcast.net
Cc: oracle-l@freelists.org
Subject: Re: SQL question

Geraldine,

select a, b
from mytable
where a <= b
union
select b, a
from mytable
where b = a

In Set Theory the set (1, 2) is equal to (2, 1).

Relational databases are (more and less) good implementations of Set Theory.
Basicly you are asking for a Set of Sets. Quite interesting. May be Lex has
some comments on this?

Regards
Jesper Haure


----- Original Message -----
From: geraldine_2@comcast.net
Date: Friday, December 3, 2004 5:37 pm
Subject: SQL question

> Hi,
> I have the following table below
> 
> SQL> select * FRom mytable;
>        A          B
> ---------- ----------
>         1          2
>         3          4
>         2          1
>         5          6
>         4          3
> 
> 5 rows selected.
> 
> and I like to get the following output:
> 
>        A          B
> ---------- ----------
>         1          2
>         3          4
>         5          6
>        
> 
> basically (1,2) is the same as (2,1) and I would just like to display 
> any of those combination just once.
> 
> Not sure how I can write a SQL to extract the data. Can someone help.
> 
> TIA.
> 
> Geraldine
> --
> http://www.freelists.org/webpage/oracle-l
> 

--
http://www.freelists.org/webpage/oracle-l



--
http://www.freelists.org/webpage/oracle-l




--
http://www.freelists.org/webpage/oracle-l

